#ifndef _PriFitting_Des_H_
#define _PriFitting_Des_H_

enum
{

	MDATA_IDE_PF_TARGET_SOURCE = 2500,
	MDATA_IDE_PF_BTN_OK,
	MDATA_IDE_PF_BOOL_SIZE,
	MDATA_IDE_PF_BOOL_POSITION,
	MDATA_IDE_PF_BOOL_ROTATION,
						CH_CUBE,
				CH_SPHERE,
				CH_CONE,
				CH_CYLINDER,
				CH_SYNGLEPOLY,
				CH_PLANE,
				CH_DISK,
				CH_PYRAMID,
				CH_CAPSULE,
				CH_OILTANK,
				CH_PLATONIC,
				CH_TUBE,
				CH_TORUS,
	MDATA_PRITYPE,
	MDATA_PRI_MAINGROUP,
	MDATA_PREVIEW,
	
	//Cube
	MDATA_CUBE_GRUP,
	MDATA_CUBE_SUBX,
	MDATA_CUBE_SUBY,
	MDATA_CUBE_SUBZ,
	MADATA_CUBE_DOFILLET,
	MADATA_CUBE_FRAD,
	MADATA_CUBE_SUBF,
		
	//Sphere
	MDATA_SPHERE_GRUP,
	MDATA_SPHERE_SUB,
	MDATA_SPHERE_TYPE,
	CH_STANDARD,
	CH_TETRAHEDRON,
	CH_HEXAHEDRON,
	CH_OCTAHEDRON,
	CH_ICOSAHEDRON,
	CH_HEMISPHERE,
	MDATA_SPHERE_BASE_AXIS,
	CH_B_X,
	CH_B_Y,
	CH_B_Z,
		

	//Cone
	MDATA_CONE_GRUP,
	MDATA_CONE_OBJECT_GRUP,
	MDATA_CONE_TRAD,
	MDATA_CONE_HSUB,
	MDATA_CONE_SEG,
	MDATA_CONE_AXIS,
	CH_CONE_AY1,
	CH_CONE_AY2,
	CH_CONE_AX1,
	CH_CONE_AX2,
	CH_CONE_AZ1,
	CH_CONE_AZ2,
	MDATA_CONE_BASE_HEIGHT_AXIS,
	MDATA_CONE_BASE_RADIUS_AXIS,
		
	MDATA_CONE_CAP_GRUP,
	MDATA_CONE_CAPS,
	MDATA_CONE_CSUB,
	MDATA_CONE_FSUB,
	MDATA_CONE_TOPFILLET,
	MDATA_CONE_BOTFILLET,
	MDATA_CONE_TOPFILLET_RADIUS,
	MDATA_CONE_BOTFILLET_RADIUS,
	MDATA_CONE_TOPFILLET_HEIGHT,
	MDATA_CONE_BOTFILLET_HEIGHT,
		
	MDATA_CONE_SLICE_GRUP,
	MDATA_CONE_SLICE,
	MDATA_CONE_SLICEFROM,
	MDATA_CONE_SLICETO,
	MDATA_CONE_REGULAR,
	MDATA_CONE_REGULARWIDTH,
//	CH_CO_X,
//	CH_CO_Y,
//	CH_CO_Z,
	
	//Cylinder
	MDATA_CYLINDER_GRUP,
	MDATA_CYLINDER_OBJECT_GRUP,
	MDATA_CYLINDER_HSUB,
	MDATA_CYLINDER_SEG,
	MDATA_CYLINDER_AXIS,
	CH_CYLINDER_AY1,
	CH_CYLINDER_AY2,
	CH_CYLINDER_AX1,
	CH_CYLINDER_AX2,
	CH_CYLINDER_AZ1,
	CH_CYLINDER_AZ2,
	MDATA_CYLINDER_CAP_GRUP,
	MDATA_CYLINDER_CAPS,
	MDATA_CYLINDER_CSUB,
	MDATA_CYLINDER_FILLET,
	MDATA_CYLINDER_FSUB,
	MDATA_CYLINDER_FILLETRADIUS,
	MDATA_CYLINDER_SLICE_GRUP,
	MDATA_CYLINDER_SLICE,
	MDATA_CYLINDER_SLICEFROM,
	MDATA_CYLINDER_SLICETO,
	MDATA_CYLINDER_REGULAR,
	MDATA_CYLINDER_REGULARWIDTH,
	MDATA_CYLINDER_BASE_HEIGHT_AXIS,
	MDATA_CYLINDER_BASE_RADIUS_AXIS,
//	CH_CY_X,
//	CH_CY_Y,
//	CH_CY_Z,
		
	//Pyramid	
	MDATA_PYRAMID_GRUP,
	MDATA_PYRAMID_SUB,
	MDATA_PYRAMID_AXIS,
//	CH_PYRAMID_AY1,
//	CH_PYRAMID_AY2,
//	CH_PYRAMID_AX1,
//	CH_PYRAMID_AX2,
//	CH_PYRAMID_AZ1,
//	CH_PYRAMID_AZ2,
		
	//Capsule
	MDATA_CAPSULE_GRUP,
	MDATA_CAPSULE_OBJECT_GRUP,
	MDATA_CAPSULE_HSUB,
	MDATA_CAPSULE_FSUB,
	MDATA_CAPSULE_SEG,
	MDATA_CAPSULE_AXIS,
	MDATA_CAPSULE_SLICE_GRUP,
	MDATA_CAPSULE_SLICE,
	MDATA_CAPSULE_SLICEFROM,
	MDATA_CAPSULE_SLICETO,
	MDATA_CAPSULE_REGULAR,
	MDATA_CAPSULE_REGULARWIDTH,
	MDATA_CAPSULE_BASE_HEIGHT_AXIS,
	MDATA_CAPSULE_BASE_RADIUS_AXIS,
//	CH_CAPSULE_AY1,
//	CH_CAPSULE_AY2,
//	CH_CAPSULE_AX1,
//	CH_CAPSULE_AX2,
//	CH_CAPSULE_AZ1,
//	CH_CAPSULE_AZ2,
///	CH_CA_X,
//	CH_CA_Y,
//	CH_CA_Z,
		
	//Oiltank
	MDATA_OILTANK_GRUP,
	MDATA_OILTANK_OBJECT_GRUP,
	MDATA_OILTANK_HSUB,
	MDATA_OILTANK_CAPHEIGHT,
	MDATA_OILTANK_FSUB,
	MDATA_OILTANK_SEG,
	MDATA_OILTANK_AXIS,
	MDATA_OILTANK_SLICE_GRUP,
	MDATA_OILTANK_SLICE,
	MDATA_OILTANK_SLICEFROM,
	MDATA_OILTANK_SLICETO,
	MDATA_OILTANK_REGULAR,
	MDATA_OILTANK_REGULARWIDTH,
	MDATA_OILTANK_BASE_HEIGHT_AXIS,
	MDATA_OILTANK_BASE_RADIUS_AXIS,
//	CH_O_X,
//	CH_O_Y,
//	CH_O_Z,
//	CH_OILTANK_AY1,
//	CH_OILTANK_AY2,
//	CH_OILTANK_AX1,
//	CH_OILTANK_AX2,
//	CH_OILTANK_AZ1,
//	CH_OILTANK_AZ2,
		
	//Tube
	MDATA_TUBE_GRUP,
	MDATA_TUBE_OBJECT_GRUP,
	MDATA_TUBE_IRAD,
	MDATA_TUBE_THICKNESS,
	MDATA_TUBE_SEG,
	MDATA_TUBE_CSUB,
	MDATA_TUBE_HSUB,
	MDATA_TUBE_AXIS,
	MDATA_TUBE_FILLET,
	MDATA_TUBE_FSUB,
	MDATA_TUBE_FILLET_RADIUS,
	MDATA_TUBE_SLICE_GRUP,
	MDATA_TUBE_SLICE,
	MDATA_TUBE_SLICEFROM,
	MDATA_TUBE_SLICETO,
	MDATA_TUBE_REGULAR,
	MDATA_TUBE_REGULARWIDTH,
	MDATA_TUBE_TYPE,
	MDATA_TUBE_BASE_HEIGHT_AXIS,
	MDATA_TUBE_BASE_RADIUS_AXIS,
//	CH_TU_X,
//	CH_TU_Y,
//	CH_TU_Z,
//	CH_TUBE_AY1,
//	CH_TUBE_AY2,
//	CH_TUBE_AX1,
//	CH_TUBE_AX2,
//	CH_TUBE_AZ1,
//	CH_TUBE_AZ2,
		
	//Torus
	MDATA_TORUS_GRUP,
	MDATA_TORUS_OBJECT_GRUP,
	MDATA_TORUS_SEG,
	MDATA_TORUS_INNERRAD,
	MDATA_TORUS_CSUB,
	MDATA_TORUS_AXIS,
	MDATA_TORUS_SLICE_GRUP,
	MDATA_TORUS_SLICE,
	MDATA_TORUS_SLICEFROM,
	MDATA_TORUS_SLICETO,
	MDATA_TORUS_REGULAR,
	MDATA_TORUS_REGULARWIDTH,
	MDATA_TORUS_TYPE,
	CH_IN,
	CH_CENTER_R,
	CH_OUT,
	MDATA_TORUS_BASE_AXIS,
		
	IDC_FITTING,
	IDC_REMOVE,
	MDATA_RESET,
//	CH_TO_X,
//	CH_TO_Y,
//	CH_TO_Z,
//	CH_TORUS_AY1,
//	CH_TORUS_AY2,
//	CH_TORUS_AX1,
//	CH_TORUS_AX2,
//	CH_TORUS_AZ1,
//	CH_TORUS_AZ2,
		

};

#endif
